Subject: bug#54010: closed (Re: bug#53712: Guix System hangs after boot with linux-libre 5.15.17)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Feb 2022 15:09:04 +0000

Your bug report

#53712: Linux-libre > 5.15.12 leads to unbootable system

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53712: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53712
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53712: Guix System hangs after boot with linux-libre 5.15.17
From: Leo Famulari <[email-masked]>
To: Squirrel via Bug reports for GNU Guix <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Feb 2022 10:08:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Feb 11, 2022 at 04:03:03AM +0800, Squirrel via Bug reports for GNU Guix wrote:
> It seems that this is a bug from upstream linux, which may be patched soon.
> Please see https://lore.kernel.org/stable/[email-masked]/

Good news, this bug has been fixed in the latest group of stable Linux
releases:

5.16.11
5.15.25
5.10.102
5.4.181
4.19.231
4.14.268
4.9.303

For our default release series, 5.15, it was fixed as commit
ddd46059f7d99119b62d44c519df7a79f2e6a515:

https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.15.25

Subject: Linux-libre > 5.15.12 leads to unbootable system
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Leo Famulari <[email-masked]>
Date: Tue, 15 Feb 2022 15:56:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

2022 has left me without a working Linux-libre kernel.

Breakage occurred sometime between:

  • 92faad0adb93b8349bfd7c67911d3d95f0505eb2
    (Jan. 3rd; Linux-libre 5.15.12)

  • 43dd34c7777a212c99a97da7a2c237158faa9a1b
    (Jan. 31st; Linux-libre 5.15.17)

The symptoms are that, on my x86_64 laptop, the kernel boots, I can
enter the passphrase for my root file system (‘cryptsetup’ is invoked
from the initrd), things get printed, the console font changes, and then
things get stuck here.  The last messages are from my sound card driver
(Intel HDA).  It hangs before syslogd is started, and I think before
shepherd is even started (I can’t be 100% sure because I cannot scroll
back at that point, but I did add print statements in ‘shepherd.conf’
and didn’t see them.)

The same config works in ‘guix system vm’.

I can work around the problem by reconfiguring from current ‘master’ and
doing this:

--8<---------------cut here---------------start------------->8---
(define inferior-for-kernel
  (inferior-for-channels
   (list (channel
          (name 'guix)
          (url "https://git.savannah.gnu.org/git/guix.git")
          (commit
           "92faad0adb93b8349bfd7c67911d3d95f0505eb2")))))

(operating-system
  ;; …
  (kernel
    (first (lookup-inferior-packages inferior-for-kernel "linux-libre"))))
--8<---------------cut here---------------end--------------->8---

This suggests a kernel issue.

Ideas and suggestions on how to debug this most welcome!

Ludo’.